<template>
  <div class="test1">
    <div class="nav">
      <div class="nav--left">
        <div class="left-content">
          <div class="left-logo">一体化平台</div>
          <div v-for="(d, i) in lefts" :key="i">
            <span
              class="left-content-icon"
              v-if="d.icon"
              :icon="'el-icon' + d.icon"
            ></span>
            <span class="left-content-label">{{ d.label }}</span>
            <span
              class="el-icon-arrow-right arrow-right"
              v-if="d.children && d.children.length"
            ></span>
          </div>
        </div>
      </div>
      <div class="nav--right">
        <div>
          <span class="bgimg el-icon-s-grid"></span>
        </div>
        <div>
          <el-badge :value="16" class="item" type="primary">
            <!-- <el-button size="small">评论</el-button> -->
            <span class="bgimg el-icon-date"> </span>
          </el-badge>
        </div>
        <div v-for="(d, i) in rights" :key="i">
          <span
            class="right-content-icon"
            v-if="d.icon"
            :icon="'el-icon' + d.icon"
          ></span>
          <span class="right-content-label">{{ d.label }}</span>
          <span
            class="el-icon-arrow-right arrow-right"
            v-if="d.children && d.children.length"
          ></span>
        </div>
        <div class="right-content-login">
          <span class="el-icon-s-custom bgimg login-img"></span>
          <span class="login-name">GitHubCloudUser...</span>
          <span class="login-out arrow-right el-icon-arrow-right"> </span>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      lefts: [
        { label: "总览", icon: "", sort: 1, children: null },
        {
          label: "云产品",
          icon: "",
          sort: 2,
          children: [
            { label: 1, children: null, sort: 1 },
            { label: 1, children: null, sort: 2 }
          ]
        },
        { label: "|", icon: "", children: null, sort: 3 },
        { label: "云服务器", icon: "", children: null, sort: 4 },
        { label: "域名服务", icon: "", children: null, sort: 5 },
        { label: "网站备案", icon: "", children: null, sort: 6 },
        { label: "···", icon: "", children: null, sort: 7 },
        { label: "", icon: "plus", children: null, sort: 8 }
      ],
      rights: [
        { label: "帮助", icon: "", sort: 1, children: null },
        {
          label: "工单",
          icon: "",
          sort: 2,
          children: [
            { label: 1, children: null, sort: 1 },
            { label: 1, children: null, sort: 2 }
          ]
        },
        {
          label: "费用",
          icon: "",
          sort: 2,
          children: [
            { label: 1, children: null, sort: 1 },
            { label: 1, children: null, sort: 2 }
          ]
        }
      ]
    };
  }
};
</script>

<style lang="scss" scoped>
.nav {
  width: 100%;
  height: 64px;
  display: flex;
  background-color: #262f3e;
  color: #c1c6c8;

  &--left {
    height: 100%;
    display: flex;
    justify-content: flex-start;
    .left-content {
      display: flex;
      height: 100%;
      align-items: center;
      padding: 0 20px;
      .left-logo {
        padding-right: 40px;
        font-size: 18px;
        color: #fff;
        font-style: oblique;
      }
      div + div {
        padding-right: 30px;
      }
      &-label {
        cursor: pointer;
        transition: all 0.3s;
      }
      &-label:hover {
        color: #f3f3f3;
      }
    }
  }

  &--right {
    flex: 1;
    height: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: center;

    padding: 0 20px;

    > div + div {
      padding-left: 50px;
    }
    div {
      cursor: pointer;
      transition: all 0.3s;
    }
    div:hover {
      color: #f3f3f3;
    }
    .login-name {
      padding: 0 10px;
    }
  }

  .bgimg {
    width: 20px;
    height: 20px;
    display: inline-block;
    font-size: 20px;
    position: relative;
    top: 1px;
  }
  .arrow-right {
    font-size: 14px;
    padding-left: 6px;
  }
}
</style>
